=== debian/changelog ===
kcov (36+dfsg-1build5) eoan; urgency=medium

  * No-change upload for binutils 2.33.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 08 Oct 2019 13:20:57 +0200

kcov (36+dfsg-1build4) eoan; urgency=medium

  * No-change upload for binutils 2.32.90.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 29 Sep 2019 09:48:34 +0200

kcov (36+dfsg-1build3) eoan; urgency=medium

  * No-change upload for binutils 2.32.90.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 19 Sep 2019 09:22:52 +0200

kcov (36+dfsg-1build2) eoan; urgency=medium

  * No-change upload for binutils 2.32.51.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 05 Sep 2019 10:14:32 +0000

kcov (36+dfsg-1build1) eoan; urgency=medium

  * No-change rebuild for binutils 2.32.51.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 22 Aug 2019 18:23:44 +0200

kcov (36+dfsg-1) unstable; urgency=medium

  * New upstream release (Closes: #850192)
    - Fix several FTBFS issues
      (Closes: #790912, #839374, #880344, #922698, #787870)
  * Fix insecure-copyright-format-uri
  * Fix wildcard-matches-nothing-in-dep5-copyright
  * Fix unused-license-paragraph-in-dep5-copyright
  * Replace embedded JS libraries with system ones
  * Bump STandards-Version to 4.4.0 (no changes needed)
  * Salvage package (Closes: #931990)

 -- Alessandro Ghedini <ghedo@debian.org>  Fri, 09 Aug 2019 19:51:41 +0100
