=== debian/control ===
Source: kcov
Section: devel
Priority: optional
Maintainer: Alessandro Ghedini <ghedo@debian.org>
Build-Depends: debhelper (>= 12),
 binutils-dev,
 cmake,
 libcurl4-openssl-dev,
 libdw-dev,
 libelf-dev,
 libiberty-dev,
 libjs-handlebars,
 libjs-jquery,
 libjs-jquery-tablesorter,
 pkg-config,
 python
Standards-Version: 4.4.0
Vcs-Git: https://salsa.debian.org/debian/kcov.git
Vcs-Browser: https://salsa.debian.org/debian/kcov
Homepage: https://simonkagstrom.github.io/kcov/

Package: kcov
Architecture: any
Depends: python, ${shlibs:Depends}, ${misc:Depends}
Description: Code coverage analysis using DWARF debugging information
 Kcov is a code coverage tester based on bcov by Thomas Neumann. It allows
 collecting code coverage information from executables without special
 command-line arguments, and continuosly produces output from long-running
 applications.
 .
 Kcov, like Bcov, uses DWARF debugging information to make this possible.
