=== tests/CMakeLists.txt ===
--- 
+++ 
@@ -24,7 +24,7 @@
 find_package (ZLIB REQUIRED)
 
 if (CMAKE_SYSTEM_NAME STREQUAL FreeBSD)
-SET (DL_LIBRARY "")
+set (DL_LIBRARY "")
 else (CMAKE_SYSTEM_NAME STREQUAL FreeBSD)
 find_library (DL_LIBRARY NAMES dl)
 if (DL_LIBRARY)
