=== tools/CMakeLists.txt ===
--- 
+++ 
@@ -6,6 +6,9 @@
     # MACOSX_RPATH is enabled by default.
     cmake_policy (SET CMP0042 NEW)
 endif (POLICY CMP0042)
+
+option (SPECIFY_RPATH  "Specify RPATH for installed executables" OFF)
+mark_as_advanced (SPECIFY_RPATH)
 
 find_package (LibElf REQUIRED)
 find_package (Elfutils REQUIRED)
@@ -58,14 +61,14 @@
 
 # Reference: http://www.cmake.org/Wiki/CMake_RPATH_handling
 if (SPECIFY_RPATH)
-    set (CMAKE_SKIP_BUILD_RPATH  FALSE)
-    set (CMAKE_BUILD_WITH_INSTALL_RPATH FALSE)
-    set (CMAKE_INSTALL_RPATH_USE_LINK_PATH TRUE)
+    set (CMAKE_SKIP_BUILD_RPATH OFF)
+    set (CMAKE_BUILD_WITH_INSTALL_RPATH OFF)
+    set (CMAKE_INSTALL_RPATH_USE_LINK_PATH ON)
     # the RPATH to be used when installing, but only if it's not a system directory
     list(FIND CMAKE_PLATFORM_IMPLICIT_LINK_DIRECTORIES "${CMAKE_INSTALL_PREFIX}/lib" IS_SYSTEM_DIR)
-    if (IS_SYSTEM_DIR STREQUAL "-1")
+    if (IS_SYSTEM_DIR EQUAL -1)
         set(CMAKE_INSTALL_RPATH "${CMAKE_INSTALL_PREFIX}/lib")
-    endif (IS_SYSTEM_DIR STREQUAL "-1")
+    endif (IS_SYSTEM_DIR EQUAL -1)
 endif (SPECIFY_RPATH)
 
 add_executable (${LINE2ADDR} ${${LINE2ADDR}_SRCS})
