=== travis/Makefile ===
--- 
+++ 
@@ -48,7 +48,7 @@
 	sudo i386 chroot ${chroot} sh -c "apt-get -y remove binutils-dev"
 	sudo i386 chroot ${chroot} sh -c "mkdir -p /tmp/kcov/build-no-binutils && cd /tmp/kcov/build-no-binutils && cmake .."
 	sudo i386 chroot ${chroot} sh -c "make -C /tmp/kcov/build-no-binutils"
-	sudo i386 chroot ${chroot} sh -c "mkdir -p /tmp/kcov/build-static && cd /tmp/kcov/build-static && cmake -DKCOV_STATIC_BUILD=1 .."
+	sudo i386 chroot ${chroot} sh -c "mkdir -p /tmp/kcov/build-static && cd /tmp/kcov/build-static && cmake -DKCOV_STATIC_BUILD=ON .."
 	sudo i386 chroot ${chroot} sh -c "make -C /tmp/kcov/build-static"
 
 build_clang_linux:
