=== debian/changelog ===
kcov (38+dfsg-1) unstable; urgency=medium

  * New upstream release
  * Bump Standards-Version to 4.5.0 (no changes needed)
  * Build against static binutils libraries (Closes: #949602)

 -- Alessandro Ghedini <ghedo@debian.org>  Sun, 09 Feb 2020 12:46:58 +0000

kcov (37+dfsg-1) unstable; urgency=medium

  * New upstream release
  * Exclude external/ directory with LLDB headers from source
  * Refresh patches
  * Bump Standards-Version to 4.4.1 (no changes needed)
  * Replace python (Build-)Depends with python3

 -- Alessandro Ghedini <ghedo@debian.org>  Sun, 13 Oct 2019 01:05:35 +0100
