=== debian/control ===
--- 
+++ 
@@ -13,15 +13,16 @@
  libjs-jquery,
  libjs-jquery-tablesorter,
  pkg-config,
- python
-Standards-Version: 4.4.0
+ python3
+Standards-Version: 4.5.0
 Vcs-Git: https://salsa.debian.org/debian/kcov.git
 Vcs-Browser: https://salsa.debian.org/debian/kcov
 Homepage: https://simonkagstrom.github.io/kcov/
 
 Package: kcov
 Architecture: any
-Depends: python, ${shlibs:Depends}, ${misc:Depends}
+Built-Using: ${misc:Built-Using}
+Depends: python3, ${shlibs:Depends}, ${misc:Depends}
 Description: Code coverage analysis using DWARF debugging information
  Kcov is a code coverage tester based on bcov by Thomas Neumann. It allows
  collecting code coverage information from executables without special
