=== debian/watch ===
version=3
opts=\
repacksuffix=+dfsg,\
repack,compression=xz,\
dversionmangle=s/\+dfsg// \
https://github.com/SimonKagstrom/kcov/tags .*/v(\d.*)\.(?:tgz|tar\.(?:gz|bz2|xz))
